"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Control = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Utils = require("../internal/Utils");

var _MapContext = require("../internal/MapContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Control = exports.Control = function (_React$Component) {
  _inherits(Control, _React$Component);

  function Control() {
    _classCallCheck(this, Control);

    return _possibleConstructorReturn(this, (Control.__proto__ || Object.getPrototypeOf(Control)).apply(this, arguments));
  }

  _createClass(Control, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      this.name = this.props.name;

      this.setOptions(true, this.props.options);
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps) {
      var options = this.props.options;


      return !(0, _Utils.isEqualProps)(options, nextProps.options);
    }
  }, {
    key: "componentWillUpdate",
    value: function componentWillUpdate(nextProps) {
      this.setOptions(true, nextProps.options);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.setOptions(false, {});
    }
  }, {
    key: "setOptions",
    value: function setOptions(visible, options) {
      var _context$mapContext$m;

      this.context.mapContext.map.setValues((_context$mapContext$m = {}, _defineProperty(_context$mapContext$m, this.name, visible), _defineProperty(_context$mapContext$m, this.name + "Options", options), _context$mapContext$m));
    }
  }, {
    key: "render",
    value: function render() {
      return null;
    }
  }]);

  return Control;
}(_react2.default.Component);

Control.contextTypes = {
  mapContext: _propTypes2.default.instanceOf(_MapContext.MapContext).isRequired
};

Control.defaultProps = {
  options: {}
};

/* istanbul ignore else */
if (process.env.NODE_ENV !== "production") {
  Control.propTypes = {
    options: _propTypes2.default.object,
    name: _propTypes2.default.string.isRequired
  };
}