"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.withMapInstance = withMapInstance;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _MapContext = require("../internal/MapContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function withMapInstance() {
  return function (BaseComponent) {
    WithMapInstance.contextTypes = {
      mapContext: _propTypes2.default.instanceOf(_MapContext.MapContext).isRequired
    };

    function WithMapInstance(props, context) {
      return _react2.default.createElement(BaseComponent, _extends({}, props, { map: context.mapContext.map }));
    }

    return WithMapInstance;
  };
}