"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _GenericEvents = require("../internal/GenericEvents");

var _GenericEvents2 = _interopRequireDefault(_GenericEvents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  onClick: _GenericEvents2.default.onClick,
  onDoubleClick: _GenericEvents2.default.onDoubleClick,
  onRightClick: _GenericEvents2.default.onRightClick,
  onMouseOut: _GenericEvents2.default.onMouseOut,
  onMouseOver: _GenericEvents2.default.onMouseOver,
  onMouseMove: _GenericEvents2.default.onMouseMove,
  onDrag: _GenericEvents2.default.onDrag,
  onDragStart: _GenericEvents2.default.onDragStart,
  onDragEnd: _GenericEvents2.default.onDragEnd,

  onIdle: "idle",
  onTilesLoaded: "tilesloaded",
  onTiltChanged: "tilt_changed",
  onZoomChanged: "zoom_changed",
  onBoundsChanged: "bounds_changed",
  onCenterChanged: "center_changed",
  onHeadingChanged: "heading_changed",
  onMapTypeIdChanged: "maptypeid_changed",
  onProjectionChanged: "projection_changed"
};